package examples.cayenne.dao;

import java.util.List;

import examples.cayenne.entity.Employee;

/**
 * @author Takahiro MATSUNAGA
 */
public interface EmployeeAutoDao {

    public Class BEAN = Employee.class;
    
    public String getEmployeeByEmpno_ARGS = "empno";
    public Employee getEmployeeByEmpno(int empno);

    public String getEmployeeByEnameJob_ARGS = "ename, job";
    public List getEmployeeByEnameJob(String ename, String job);

    public String getEmployeesBySal_QUERY = "sal BETWEEN #bind($minSal) AND #bind($maxSal) ORDER BY empno";
    public List getEmployeesBySal(float minSal, float maxSal);

    public String getAllEmployeeOrderByEname_QUERY = "ORDER BY ename";
    public List getAllEmployeeOrderByEname();

    public List getAllEmployee();

    public void insert(Employee movie);

    public void update(Employee movie);

    public void delete(Employee movie);

}
