package org.sersar.cayenne.dao;

import java.util.Iterator;

import org.objectstyle.cayenne.map.DataMap;
import org.objectstyle.cayenne.map.ObjEntity;
import org.sersar.cayenne.S2DataContext;

/**
 * @author Takahiro MATSUNAGA
 */
public class DataContextUtil {

    /**
     * 
     */
    private DataContextUtil() {
    }

    public static ObjEntity getObjEntity(S2DataContext s2Context, Class beanClass) {
        if (s2Context == null) {
            return null;
        }

        Iterator it = s2Context.getDataMaps().iterator();
        while (it.hasNext()) {
            return getObjEntity((DataMap) it.next(), beanClass);
        }

        return null;
    }

    private static ObjEntity getObjEntity(DataMap map, Class beanClass) {
        if (map == null) {
            return null;
        }

        Iterator it = map.getObjEntities().iterator();
        while (it.hasNext()) {
            ObjEntity objEntity = (ObjEntity) it.next();
            if (objEntity.getClassName().equals(beanClass.getName())) {
                return objEntity;
            }
        }

        return null;
    }

}
